package com.ynfy.app.api.v1.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ynfy.buss.banner.service.IBannerService;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.constant.CommonConstant;
import org.jeecg.modules.system.entity.SysAnnouncement;
import org.jeecg.modules.system.entity.SysPermission;
import org.jeecg.modules.system.service.ISysAnnouncementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api/v1/index")
public class ApiIndexController extends ApiBaseController {

    @Autowired
    private IBannerService bannerService;

    @Autowired
    private ISysAnnouncementService sysAnnouncementService;

    @PostMapping("/banner/list")
    public Result<?> list() {
        return Result.OK(bannerService.list());
    }

    /**
     * 通知公告
     *
     * @return
     */
    @PostMapping("/announcement/list")
    public Result<?> announcementList() {
        LambdaQueryWrapper<SysAnnouncement> query = new LambdaQueryWrapper<>();
        query.eq(SysAnnouncement::getDelFlag, CommonConstant.DEL_FLAG_0);
        return Result.OK(sysAnnouncementService.list(query));
    }

}
